---
title: OscillatorNode.onended
slug: Web/API/OscillatorNode/onended
tags:
  - API
  - OscillatorNode
  - Property
  - Reference
  - Web Audio API
  - onended
---
<p>{{ APIRef("Web Audio API") }}</p>

<p>The <strong><code>onended</code></strong> property of the {{ domxref("OscillatorNode") }} interface is used to set the event handler for the ended event, which fires when the tone has stopped playing.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js;highlight[7]">var oscillator = audioCtx.createOscillator();
oscillator.onended = function() { ... };</pre>

<h2 id="Example">Example</h2>

<p>The following example shows basic usage of an {{ domxref("AudioContext") }} to create an oscillator node. For an applied example, check out our <a href="https://mdn.github.io/violent-theremin/">Violent Theremin demo</a> (<a href="https://github.com/mdn/violent-theremin/blob/gh-pages/scripts/app.js">see app.js</a> for relevant code).</p>

<pre class="brush: js;highlight[13,14,15]">// create web audio api context
var audioCtx = new (window.AudioContext || window.webkitAudioContext)();

// create Oscillator node
var oscillator = audioCtx.createOscillator();

oscillator.type = 'square';
oscillator.frequency.value = 440; // value in hertz
oscillator.start(); // start the tone playing

oscillator.stop(5); // the tone will stop again in 5 seconds.

oscillator.onended = function() {
  console.log('Your tone has now stopped playing!');
}
</pre>

<h2 id="Properties">Properties</h2>

<p>None.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API', '#dom-audioscheduledsourcenode-onended', 'onended')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.OscillatorNode.onended")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
</ul>
